import { CSSResult } from 'lit';
import { LitElement } from 'lit';
import { TemplateResult } from 'lit-html';

export declare class DrawerComponent extends PlusBase {
    size: SizeType;
    isOpen: boolean;
    orientation: "left" | "right" | "top" | "bottom";
    constructor();
    connectedCallback(): void;
    hide(): void;
    private drawerHide;
    show(): void;
    private drawerShow;
    disconnectedCallback(): void;
    keydownHandler: (e: KeyboardEvent) => void;
    render(): TemplateResult<1>;
}

declare abstract class PlusBase extends LitElement {
    static styles: CSSResult[];
    id: string;
    name: string;
    value: string | number;
    disabled: boolean;
    readonly: boolean;
    required: boolean;
    loading: boolean;
    title: string;
    emit(name: string, options?: CustomEventInit): CustomEvent<any>;
}

declare type SizeType = "sm" | "md" | "lg";

export { }
